Skip to content

put_details

PUT
/billing/details
curl --request PUT \
--url https://api.siteqwality.com/billing/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "email": "example", "address": { "line1": "example", "line2": "example", "city": "example", "state": "example", "country": "example", "postal_code": "example" }, "tax_id_type": "example", "tax_id_value": "example", "remove_tax_ids": [ "example" ], "idempotency_key": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
Media type application/json
object
name
required
string
email
required
string
address
required
object
line1
string
line2
string
city
string
state
string
country
required
string
postal_code
required
string
tax_id_type
string | null
tax_id_value
string | null
remove_tax_ids
Array<string>
idempotency_key
required
string format: uuid
Example generated
{
"name": "example",
"email": "example",
"address": {
"line1": "example",
"line2": "example",
"city": "example",
"state": "example",
"country": "example",
"postal_code": "example"
},
"tax_id_type": "example",
"tax_id_value": "example",
"remove_tax_ids": [
"example"
],
"idempotency_key": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

OK

Media type application/json
object
name
string | null
email
string | null
address
One of:
object
line1
string
line2
string
city
string
state
string
country
required
string
postal_code
required
string
tax_ids
required
Array<object>
object
id
required
string
type
required
string
value
required
string
verification
One of:
object
status
required
string
automatic_tax_enabled
required
boolean
Example generated
{
"name": "example",
"email": "example",
"address": {
"line1": "example",
"line2": "example",
"city": "example",
"state": "example",
"country": "example",
"postal_code": "example"
},
"tax_ids": [
{
"id": "example",
"type": "example",
"value": "example",
"verification": {
"status": "example"
}
}
],
"automatic_tax_enabled": true
}